org.osgi.util.converter

## Class ConversionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.osgi.util.converter.ConversionException

All Implemented Interfaces:
  Serializable

    public class ConversionException
    extends RuntimeException

This Runtime Exception is thrown when an object is requested to be converted but the conversion cannot be done. For example when the String "test" is to be converted into a Long.

Author:
  $Id$
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ConversionException(String message)` Create a Conversion Exception with a message.
`ConversionException(String message, Throwable cause)` Create a Conversion Exception with a message and a nested cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ConversionException

    public ConversionException(String message)

Create a Conversion Exception with a message.

Parameters:
  `message` - The message for this exception.

#### ConversionException

    public ConversionException(String message,
                               Throwable cause)

Create a Conversion Exception with a message and a nested cause.

Parameters:
  `message` - The message for this exception.
  `cause` - The causing exception.